### Function

# Pango AttrType get_name

since: 1.22

#### Declaration [src]

    const char*
    pango_attr_type_get_name (
      PangoAttrType type
    )

#### Description [src]

Fetches the attribute type name.

The attribute type name is the string passed in when registering the type using `pango_attr_type_register()`.

The returned value is an interned string (see `g_intern_string()` for what that means) that should not be modified or freed.

Available since: 1.22

#### Parameters

`type`

  Type: `PangoAttrType`

  An attribute type ID to fetch the name for.

#### Return value

Type: `const char*`

The type ID name (which may be `NULL`), or `NULL` if `type` is a built-in Pango attribute type or invalid.

The data is owned by the called function.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.